Windows Freeware

This page presents my programs for Windows 95/98 and Windows NT. You can find multimedia applications (a CD Audio Player), Shell Extensions (add-on for the Explorer), and others programs. All of these applications, which I'm the author, are freeware.

You can only use one of the programs available in this site if you accept that it is an unsupported product, without any warranty. You use it at your own risk. If there are states or countries which do not permit this kind of non-liability, you are expressly forbidden to use this product in such locations.

Each program available in this site may be copied and distributed freely if :

  • It is not modified,
  • All files are included,
  • No fee is charged for it,
  • It is not included as part of another product.

The following freeware are presented in this file

Multimedia Application :

CD Audio Player

This application allows you to play all the CD Audio with your CD-ROM drive. You can select the tracks to play, and the order in which they are played.

Shell Extension Applications :

Date/Time

Date/Time is a free shell extension for Windows 95/98/NT. It adds a new page to the Properties dialog for files that lets you interactively change the date and time for files. You can change the date/time a file was created and/or last modified. Options include unknown (no date or time appears in the file list), the current date/time, or a custom date/time.

Folder Size

Folder Size is a free shell extension for Windows 95/98/NT. It adds a new page to the Properties dialog for folders and drives. This new page allows you see the folders and sub folders sizes (in a hierarchical tree). To access to the options (units, sort, etc.) a contextual menu is provided.

Split File

Split File is a free, helpful Windows 95/98 and Windows NT utility designed for anyone who frequently works with oversized files. It works with the Windows 95/98/NT Explorer right-click menu to offer a quick and easy way to split large files into smaller pieces, directly onto floppies or to any other drive on your system.

Tools & System Utility :

Direct To Printer

When you use the "Print in a file" option from the Print Dialog Box you cannot send later this file to the printer. In a same way, when you download a file on the Net ready to print (for example in PostScript format) you can't send it to your printer. The drag and drop to the Print Manager Windows is unavailable. So this tool, named Direct To Printer, can help you to send ready to print files to a printer (via the spool printer).


Folder Size Shell Extension

Folder Size Shell Extension is a free shell extension for Windows 95/98 and NT 4.0 or above. It adds a new tab to the Properties dialog that displays a folder's and drive's size. This new page allows you see the folders and sub folders sizes (in a hierarchical tree). To access to the options (units, sort, etc.) a contextual menu is provided. Folder Size Shell Extension delivers useful information and integrates well into Windows 95/98 and NT's existing structure.

To activate this extension, right-click on a folder (or on a drive), and click on Properties in the contextual menu. Windows Explorer displays the Properties dialog with a new page named Size.

Notes :

  • This version support both French and English languages (depending on the current user's locale).
  • If more than one folder (or drive) is selected, the page doesn't appears in the Properties dialog box.
  • This version doesn't works with virtual folders (such as Printers, Control Panel, etc.).
Folder Size Shell Extension


System Requirements

Win 95 | Win 98 | Win 2K | Win NT
Supported | Supported | Not Supported | Supported

Supported Fully Supported
Partially Supported Partially Supported
Not Supported Not Supported


Install/Uninstall

Installation

Under Windows NT you must have administrator privileges to install successfully this freeware.

  1. Uncompress the ZIP file with PkUnzip 2.04g (or compatible ZIP tool),
  2. Select the .exe file,
  3. Execute this file.

UnInstall

  1. Open the Control Panel,
  2. Open the Add/Remove Applications panel,
  3. Select the Shell Extension name in the application list and click on Add/Remove button.


Folder Size Shell Extension - How to run Folder Size Shell Extension

How to run Folder Size Shell Extension

Folder Size Shell Extension runs from the Properties dialog box of directories (folders) and drives by adding a new page.

To activate this extension, right-click on a folder (or on a drive), and click on Properties in the contextual menu. Windows Explorer displays the Properties dialog with a new page named Size. Its this page that reports information provided by Folder Size Shell Extension.


Folder Size Shell Extension - Options

Options

Items with the icon [image] are new features included in Folder Size Shell Extension v3.0 or v3.1 and items with the icon [image] have updated features (new features are included in the item or bugs are fixed).

The "Options" menu is displayed when you click on the "Options" button.

Units :
This menu allows you to select which unit to display the size of folders :
With the "Auto" item the "best" unit will be used to display the size of the folders.
With Bytes, Kilo Bytes (Kb), Mega Bytes (Mb), Giga Bytes (Gb) the size of each folder will be displayed using the selected unit.

Reorganize :
The folders can be sorted by name of by size in ascending or descending way.
When you choose a sort by name, this sort can be case sensitive or not.

Display :
For each folder you can display its size (this size includes the size of sub folders) and its allocated space (i.e. the size allocated by the operating system to store the files included in the folder).
You can also display the size(s) of a folder before its name.
The "Refresh" option allows you to update the contents of the windows (can be very useful if you have made a modification in a folder displayed in the hierarchical tree).

Parameters described above can be saved using the "Save parameters" option.

You can also save in a file (in text format) the content of the windows using the "Save in a file" option. You can include in this file, more the displayed information in the window, the waste space (in percentage) and the number of files and sub folders contained by each folder.

Each folder in the hierarchical tree view has its own contextual menu (displayed when you right click on the folder). This menu allows you to expand or collapse the current branch or all branches. There is also a sub menu containing information about the selected folder. These information are the number of files and sub folders, the size, allocated space, and waste space (in percentage) of the folder.


Frequently Asked Questions

Are your freeware is Year 2000 (Y2K) compliant ?

Yes. The freeware date management is based upon Windows date management and all the 32 bits version of Windows (Windows 95/98 and Windows NT) are year 2000 compliant.

I try to install your freeware under Windows NT. The installation program does not display error message but the freeware is not installed (it is not listed in the Installed Program list under the Control Panel). Why ?

Under Windows NT you must have the administrator privileges to successfully install the freeware. You have no error message during the installation procedure because the installation program does not verify if it can write data in the registry database.

I'm using your freeware and tried to uninstall that program through "Control Panel/Add & Remove Programs" but I only get an error message "Installation failed". Why ?

When you uninstall the freeware you must not use it (i.e. it must not be running when the uninstall procedure is called).

The count of space used seems to wrap round if used to measure the size of a folder that contains more than four Gigabytes. ?
In fact versions of Folder Size Shell Extension prior v3.0 not works with drive larger than 4 Gb, so if you use drive larger than 4 Gb you can obtain incorrect results with these versions. You must download v3.0 or above to solve this problem.

I have noticed that Folder Size Shell Extension gives conflicting folder size information. For example, its telling me that my windows folder is 385.63 Mb large and Explorer tells me that its only 34 Mb.

This is because Folder Size Shell Extension reports you the size of the folder and its subfolders (the Explorer reports you only the size of the folder without its subfolders).

Is there an option to report all folders sizes in the same unit ?

Yes with the uses of the contextual menu (right mouse click in the Folders Size Property Page tree view) for version prior v3.0. For version 3.0 use the option menu.


Folder Size Shell Extension History

History Revision

  • Version 3.2 (May 6, 2000)
    • Adds support for Language Definition File (it's a text based file that allows you to translate the ressources of the application in your language).
    • Provided with a Help File (in CHM Format).
    • New installation program

  • Version 3.1a (December 17, 1999)
    • Bugs fixes

  • Version 3.1 (November 8, 1999)
    • Support correct cluster size for FAT and FAT32 filesystems for any drive size (however you must have at least Windows 95 OSR2 to activate the support of FAT32).
    • At installation time the user can select the language between French, English or user's locale.
    • Provided with a Help File.
    • Bugs fix.

  • Version 3.0 (July 23, 1999)
    • Important memory leak bug fixes.
    • Support drives or folders largers than 4 Gbytes.
    • New algorithm (up to 40% faster).
    • Information about each folder is provided in a contextual menu (number of files, number of sub-folders, allocated size for the folder, etc.)
    • New user interface more "friendly".
    • Multiple display formats available.

  • Version 2.20 (February 8, 1998)
    • Works with UNC named folders (folders on the network).
    • The options are saved on request.
    • The content of the view can be saved in a text file.
    • Support of multiple open properties at the same time.

  • Version 2.10 (February 20, 1997)
    • New installation program which fix a bug with the uninstall feature under Windows NT.
    • The options are saved.
    • When the folders are sorted, the sort can be no case sensitive.

  • Version 2.01 (November 12, 1996)
    • Bug fix.

  • Version 2.0 (November 9, 1996)
    • Now supports icons in 16.7 millions colors.
    • Displays ? instead of 0 byte when a folder can't be accessed (result of a permission denied for example).
    • Adds contextual menu in the tree view.
    • Allows the user to select the displayed unit (byte, Kbyte, Mbyte or Gbyte).
    • The folders can be sorted by name or by size.
    • Allows user to display files size of allocated space.

  • Version 1.10 (October 6, 1996)
    • New installation program.

  • Version 1.01 (October 3, 1996)
    • Bugs fix with English language.

  • Version 1.0 (September 27, 1996)
    • This is the first distributed version.
    • Support both French and English languages (depending on the current user's locale).


 Warranty and Copyright

Warranty and Copyright

You can use the application, that is a freeware, described in this document only if you accept that it is unsupported product, without any warranty. You use it at your own risk. If there are states or countries which do not permit this kind of non-liability, you are expressly forbidden to use this product in such locations. This program may be copied and distributed freely if :
  • It is not modified,
  • All files are included,
  • No fee is charged for it,
  • It is not included as part of another product.


Warranty and Copyright

 You can use any applications, that are a freeware, described in this document only if you accept that they are unsupported products, without any warranty. You use them at your own risk. If there are states or countries which do not permit this kind of non-liability, you are expressly forbidden to use these products in such locations. Thess programs may be copied and distributed freely if :
  • They are not modified,
  • All files are included,
  • No fee is charged for them,
  • They are not included as part of another product.